ExtendedNumerics mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ValueType System.IComparable System.IComparable<System.Single> System.IConvertible System.IEquatable<System.Single> System.IFormattable

Represents a 32-bit single-precision floating-point number.

is a 32-bit single precision floating-point type that represents values ranging from approximately 1.5E-45 to 3.4E+38 and from approximately -1.5E-45 to -3.4E+38 with a precision of 7 decimal digits. The type conforms to standard IEC 60559:1989, Binary Floating-point Arithmetic for Microprocessor Systems.

A can represent the following values:

The finite set of non-zero values of the form * * 2e, where s is 1 or -1, and 0 < < 224 and -149 <= <= 104.

Positive infinity and negative infinity. Infinities are produced by operations that produce results with a magnitude greater than that which can be represented by a , such as dividing a non-zero number by zero. For example, using operands, 1.0 / 0.0 yields positive infinity, and -1.0 / 0.0 yields negative infinity. Operations include passing parameters and returning values.

The value (NaN). NaN values are produced by invalid floating-point operations, such as dividing zero by zero.

When performing binary operations, if one of the operands is a floating-point type ( or ), then the other operand is required to be an integral type or a floating-point type and the operation is evaluated as follows:

If one of the operands is of an integral type, then that operand is converted to the floating-point type of the other operand.

Then, if either of the operands is of type , the other operand is converted to , and the operation is performed using at least the range and precision of the type. For numeric operations, the type of the result is .

Otherwise, the operation is performed using at least the range and precision of the type and, for numeric operations, the type of the result is .

The floating-point operators, including the assignment operators, do not throw exceptions. Instead, in exceptional situations, the result of a floating-point operation is zero, infinity, or NaN, as described below:

If the result of a floating-point operation is too small for the destination format, the result of the operation is zero.

If the magnitude of the result of a floating-point operation is too large for the destination format, the result of the operation is positive infinity or negative infinity.

If a floating-point operation is invalid, the result of the operation is NaN.

If one or both operands of a floating-point operation are NaN, the result of the operation is NaN.

Conforming implementations of the CLI are permitted to perform floating-point operations using a precision that is higher than that required by the type. For example, hardware architectures that support an "extended" or "long double" floating-point type with greater range and precision than the type could implicitly perform all floating-point operations using this higher precision type. Expressions evaluated using a higher precision might cause a finite result to be produced instead of an infinity.

- Method
  System.Int32 `` The to compare to the current instance.

  Returns the sort order of the current instance compared to the specified .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the current instance as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Return Value
  Description
  Any negative number

  Current instance < .

  -or-

  Current instance is a NaN and is not a NaN and is not a null reference.

  Zero

  Current instance == .

  -or-

  Current instance and are both NaN, positive infinity, or negative infinity.

  A positive number

  Current instance > .

  -or-

  is a null reference.

  -or-

  Current instance is not a NaN and is a NaN.

  This method is implemented to support the interface. Note that, although a NaN is not considered to be equal to another NaN (even itself), the interface requires that A.CompareTo(A) return zero.

  is not a null reference and is not of type . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The to compare to the current instance.

  Returns the sort order of the current instance compared to the specified .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the current instance as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Return Value
  Description
  Any negative number

  Current instance < .

  -or-

  Current instance is a NaN and is not a NaN.

  Zero

  Current instance == .

  -or-

  Current instance and are both NaN, positive infinity, or negative infinity.

  A positive number

  Current instance > .

  -or-

  Current instance is not a NaN and is a NaN.

  This method is implemented to support the interface.

  2.0.0.0
  4.0.0.0
- Field
  System.Single

  Represents the smallest positive value greater than zero.

  The value of this constant is 1.401298E-45.

  0
  1.401298E-45
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The to compare to the current instance.

  Determines whether the current instance and the specified represent the same type and value.

  if represents the same type and value as the current instance, otherwise . If is a null reference or is not an instance of , returns . If either or the current instance is a NaN and the other is not, returns . If and the current instance are both NaN, positive infinity, or negative infinity, returns .

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` To be added.

  Determines whether the current instance and the specified represent the same value.

  if represents the same value as the current instance, otherwise . If either or the current instance is a NaN and the other is not, returns . If and the current instance are both NaN, positive infinity, or negative infinity, returns .

  This method is implemented to support the interface.

  2.0.0.0
  4.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A containing the hash code for this instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.TypeCode To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` The to be checked.

  Determines whether the specified represents an infinity, which can be either positive or negative.

  if represents a positive or negative infinity value; otherwise .

  Floating-point operations return positive or negative infinity values to signal an overflow condition.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The to be checked.

  Determines whether the value of the specified is undefined (Not-a-Number).

  if represents a NaN value; otherwise .

  Floating-point operations return NaN values to signal that the result of the operation is undefined. For example, dividing (Single) 0.0 by 0.0 results in a NaN value.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.ConstrainedExecution.ReliabilityContract(System.Runtime.ConstrainedExecution.Consistency.WillNotCorruptState, System.Runtime.ConstrainedExecution.Cer.Success)
- Method
  System.Boolean `` The to be checked.

  Determines whether the specified represents a negative infinity value.

  if represents a negative infinity value; otherwise .

  Floating-point operations return negative infinity values to signal an overflow condition.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The to be checked.

  Determines whether the specified represents a positive infinity value.

  if represents a positive infinity value; otherwise .

  Floating-point operations return positive infinity values to signal an overflow condition.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Single

  Contains the maximum positive value for the type.

  The value of this constant is 3.40282346638528859E+38 converted to .

  0
  3.402823E+38
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Single

  Contains the minimum (most negative) value for the type.

  The value of this constant is -3.40282346638528859E+38 converted to .

  0
  -3.402823E+38
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Single NaN

  Represents an undefined result of operations involving .

  Not-a-Number (NaN) values are returned when the result of a operation is undefined.

  A NaN value is not equal to any other value, including another NaN value.

  The value of this field is obtained by dividing zero by zero.

  represents one of many possible NaN values. To test whether a value is a NaN, use the method.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Single

  Represents a negative infinity of type .

  The value of this constant can be obtained by dividing a negative by zero.

  To test whether a value is a negative infinity value, use the method.

  0
  -Infinity
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Single `` A containing the value to convert. The string is interpreted using the and/or style.

  Returns the specified converted to a value.

  The value obtained from . If equals , this method returns .

  This version of is equivalent to (, | , ).

  The string is parsed using the formatting information in a initialized for the current system culture. For more information, see .

  is a null reference. is not in the correct style. represents a value that is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` `` A containing the value to convert. The string is interpreted using the style specified by . Zero or more values that specify the style of . Specify multiple values for using the bitwise OR operator. If is a null reference, the string is interpreted using the and styles.

  Returns the specified converted to a value.

  The value obtained from . If equals , this method returns .

  This version of is equivalent to (, , null).

  The string is parsed using the formatting information in a initialized for the current system culture. For more information, see .

  is a null reference. is not in the correct style. represents a value that is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` `` A containing the value to convert. The string is interpreted using the and/or style. A that supplies a containing culture-specific formatting information about .

  Returns the specified converted to a value.

  The value obtained from . If equals , this method returns .

  This version of is equivalent to (, | , ).

  The string is parsed using the culture-specific formatting information from the instance supplied by . If is or a cannot be obtained from , the formatting information for the current system culture is used.

  is a null reference. is not in the correct style. represents a value that is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` `` `` A containing the value to convert. The string is interpreted using the style specified by . Zero or more values that specify the style of . Specify multiple values for using the bitwise OR operator. If is a null reference, the string is interpreted using the and styles. A that supplies a containing culture-specific formatting information about .

  Returns the specified converted to a value.

  The value obtained from . If equals , this method returns NaN.

  The string is parsed using the culture-specific formatting information from the instance supplied by . If is or a cannot be obtained from , the formatting information for the current system culture is used.

  is a null reference. is not in the correct style. represents a value that is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Field
  System.Single Infinity

  Represents a positive infinity of type .

  The value of this constant can be obtained by dividing a positive by zero.

  To test whether a value is a positive infinity value, use the method.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Byte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Decimal `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Double `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.SByte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Single `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.UInt64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.String

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted using the general format specifier, ("G"). The string takes into account the current system culture.

  This version of is equivalent to (, ).

  The general format specifier formats the number in either fixed-point or exponential notation form. For a detailed description of the general format, see the interface.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` A that supplies a containing culture-specific formatting information.

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted using the general format specifier, ("G"). The string takes into account the formatting information in the instance supplied by .

  This version of is equivalent to ( , ).

  If is or a cannot be obtained from , the formatting information for the current system culture is used.

  The general format specifier formats the number in either fixed-point or exponential notation form. For a detailed description of the general format, see the interface.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` A that specifies the format of the returned string. For a list of valid values, see (, ).

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted as specified by . The string takes into account the current system culture.

  This version of is equivalent to (, ).

  If is a null reference, the general format specifier "G" is used.

  is invalid.

  The following example shows the effects of various formats on the string returned by .

  `using System; class test { public static void Main() { float f = 1234.567f; Console.WriteLine(f); string[] fmts = {"C","E","e5","F","G","N","P","R"}; for (int i=0;i<fmts.Length;i++) Console.WriteLine("{0}: {1}", fmts[i],f.ToString(fmts[i])); } }`

  The output is

  1234.567

  C: $1,234.57

  E: 1.234567E+003

  e5: 1.23457e+003

  F: 1234.57

  G: 1234.567

  N: 1,234.57

  P: 123,456.70 %

  R: 1234.567

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String `` `` A containing a character that specifies the format of the returned string, optionally followed by a non-negative integer that specifies the precision of the number in the returned . A that supplies a instance containing culture-specific formatting information.

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted as specified by . The string takes into account the information in the instance supplied by .

  If is or a cannot be obtained from , the formatting information for the current system culture is used.

  If is a null reference, the general format specifier "G" is used.

  The following table lists the characters that are valid for the type.

  Format Characters
  Description
  "C", "c"
  Currency format.
  "E", "e"
  Exponential notation format.
  "F", "f"
  Fixed-point format.
  "G", "g"
  General format.
  "N", "n"
  Number format.
  "P", "p"
  Percent format.
  "R", "r"
  Round-trip format.

  For a detailed description of the format strings, see the interface.

  This method is implemented to support the interface.

  is invalid. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)